Validate Package
Validate a VPK package with Vault Java SDK code attached to this request. This checks checks code compilation and restrictions in use of the JDK. For example, new is not allowed for non-allowlisted classes. Learn more about limits and restrictions.
This endpoint does not import your package.
POST
/api/{version}/services/package/actions/validateHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) |
Body Parameters
Section link for Body ParametersThe body of your request is the binary VPK file you wish to validate.
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
https://veepharm.veevavault.com/api/v19.3/services/package/actions/validate
--data-binary @"C:\Vault\Extensions\javasdk.vpk" \Response
Section link for Response{
"responseStatus": "SUCCESS",
"responseDetails": {
"summary": "PromoMats RecordTrigger",
"author": "stan.lee@veepharma.com",
"package_name": "PKG-DEPLOY",
"source_vault": "19523",
"package_status": "N/A",
"total_steps": 1,
"start_time": "18:09:2018 05:01:19",
"end_time": "18:09:2018 05:01:20",
"package_error": "",
"package_steps": [
{
"name__v": "00010",
"step_type__v": "Code",
"step_label__v": "Java SDK Code",
"step_name__v": "Java SDK Code",
"type__v": "Code",
"deployment_status__v": "N/A",
"deployment_action": "Replace All",
"validation_response": "SUCCESS",
"validation_message": "Source code in (PKG-DEPLOY) validated successfully."
}
]
}
}